<div class=" ui-g-12 ui-md-12 ui-lg-12 ui-xl-12">
        <p-toast [style]="{marginTop: '80px'}" position="top-right" key="form-toast"></p-toast>
        <p-card class="centralized">
          <p-header class="header-card-form">
            <div class="ui-helper-clearfix title-card-header">
              <span class="ui-panel-title">Realizar nova locação</span>
            </div>
          </p-header>
        <form [formGroup]="locacaoForm" >
          <div class="">
            <div class="ui-g ui-fluid">
              <div class="ui-g-12 " id='app'>
                <div class="ui-inputgroup">
                  <p-orderList [value]="clientes"  dragdrop="true" header="Selecione um cliente" filterBy="nome"  [(selection)]="clienteSelecionado">
                    <ng-template let-cliente pTemplate="clientes">
                        <div class="ui-helper-clearfix">
                            <div>{{cliente.nome}}</div>
                        </div>
                    </ng-template>
                </p-orderList>
                </div>
              </div>

              <div class="ui-g-12">
                  <div class="ui-inputgroup">
                      <p-pickList [source]="filmes" [target]="filmesALocar" sourceHeader="Selecione os filmes à serem locados" targetHeader="Filmes selecionados" [responsive]="true" filterBy="nome" 
                        dragdrop="true" sourceFilterPlaceholder="Pesquise" targetFilterPlaceholder="Pesquise" [sourceStyle]="{'height':'300px', 'width':'600px'}" [targetStyle]="{'height':'300px'}">
                        <ng-template let-fi pTemplate="filmes">
                  <div class="ui-helper-clearfix">
                       {{fi.nome}}
                  </div>
                      </ng-template>
                  </p-pickList>
                  </div>
                </div>
      
              <div class="ui-g-12 ui-md-6 ui-lg-4">
                <label for="itemName">Data da locação:</label>
                <div class="ui-inputgroup">
                  <p-calendar formControlName="data_pedido" dateFormat="dd/mm/yy"></p-calendar>
                </div>
              </div>

              <div class="ui-g-12 ui-md-6 ui-lg-4">
                  <label for="itemName">Data de devolução:</label>
                  <div class="ui-inputgroup">
                    <p-calendar formControlName="data_entrega" dateFormat="dd/mm/yy"></p-calendar>
                  </div>
                </div>
      
              <div class="ui-g-12 ui-md-6 ui-lg-4">
                <label for="itemName">Valor:</label>
                <div class="ui-inputgroup">
                  <input type="text" id="valor_pago" formControlName="valor_pago" name="valor_pago" pInputText  autocomplete="off" />
                </div>
              </div>
      
            </div>
            <p-footer>
              <div class="group-button">
                <button pButton type="button" (click)="onSave($event)" label="Salvar" class="ui-button-raised ui-button-success"></button>
                <button pButton type="button" (click)="onCancel()" label="Cancelar" class="ui-button-raised ui-button-danger"></button>
              </div>
            </p-footer>
          </div>
        </form>
      </p-card>
      </div>
      
      